import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaHistoryType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaHistoryTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaHistoryType> {
    return this.rpcService.call<MetaHistoryType>('MetaHistoryTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaHistoryType[]> {
    return this.rpcService.call<MetaHistoryType[]>('MetaHistoryTypeService.readAll');
  }
}
